@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    scroll-behavior: smooth;

}


header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 10px 100px;
    z-index: 10000;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .5s;
	background: #e12a4c;
}


header.sticky{
    background: #fff;
    padding: 10px 100px;
    box-shadow: 0 5px 20px rgba(189, 39, 39, 0.05);
}

header .logo{
    color: #fff;
    font-weight: 700;
    font-size: 2em;
    text-decoration: none;
    border: 2px solid #fff;
    padding: 4px 4px;
    border-radius: 8px;
}

header.sticky .logo{
    color:#111;
	border: 2px solid #111;
}

header .logo span{
    color: #e12a4c;
}

.validation__container{
    margin: 80px 150px 20px 150px;
}

.subscribtion__validation h2,
.subscribtion__validation h3{
    text-align: center;
}

.step__list{
    margin-left: 50px;
}

.step__list li a{
    background: #e12a4c;
    color: #fff;
    padding: 2px 10px;
    text-decoration: none;
    border-radius: 10px;
    border: 1px solid #111;
    cursor: pointer;
    transition: .3s;
}

.step__list li a:hover{
    background-color: #fff;
    color: #e12a4c;
}

/*===============CONTACT FORM==================*/
.contact{
    margin-bottom: 30px;
    
}
.form__title{
    margin-top: 20px;
    display: flex;
    width: 100%;
    justify-content: center;
}

.input__lenght{
    padding-left: 10px;
}

/* option{
    background-color: #0df053;
} */

.formulario__membresia{
    margin: 1rem  20%;
}

.grupo__usuario{
    margin-bottom: 20px;
    font-weight: bold;
}

.grupo__usuario input{
    border-radius: 5px;
    border: 1px solid #111;
    height: 30px;
    line-height: 30px;
}

.titulo__grupo{
    display: flex;
    justify-content: center;
    flex-direction: row;
    align-items: center;
    font-weight: 500;
    font-size: 20px;
    background: #e12a4c;
    color: #fff;
    height: 45px;
    border-top-left-radius: 32px;
    border-top-right-radius: 32px;
    margin-bottom: 12px;
}

.input__lenght:focus{
    border: 3px solid #0075FF;
	outline: none;
	box-shadow: 3px 0px 30px rgba(163, 163, 163, 0.4);
}


.grupo__datos,
.grupo__indetificacion,
.grupo__patrocinador{
    /* border: 1px solid #111; */
    
    border-radius: 12px;
    margin: 2rem 2rem;
    display: block;
    align-content: center;
    border-radius: 32px;
    /* background: linear-gradient(145deg, #cacaca, #f0f0f0);
    box-shadow:  24px 24px 48px #9f9f9f,
                -24px -24px 48px #ffffff;
 */
    border-radius: 50px;
    background: linear-gradient(145deg, #b8b8b8, #dadada);
    box-shadow:  20px 20px 60px #adadad,
                -20px -20px 60px #ebebeb;
}



.btn__container{
    display: flex;
    justify-content: center;
}

.btn{
    font-size: 1em;
    color:#fff;
    background: #e12a4c;
    display: inline-block;
    padding: 10px 30px;
    margin-top: 20px;
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 2px;
    transition: .3s;
    box-shadow: 7px 6px 14px 0px rgba(0,0,0,0.75);
    border-radius: 5px;
    border: 1px solid transparent;
    cursor: pointer;
}

.btn:hover{
    transform: scale(1.07);
}


/*DESACTIVA SPINNERS DE LOS INPUT NUMBER*/
input[type=number]::-webkit-outer-spin-button,

input[type=number]::-webkit-inner-spin-button {

    -webkit-appearance: none;

    margin: 0;

}

input[type=number] {

    -moz-appearance:textfield;

}

footer .footer_div h2{
    color: #fff;
}

.wsp-container{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    margin-right: 10px;
}

.btn_wsp{
    position: fixed;
    width: 55px;
    height: 55px;
    line-height: 55px;
    bottom: 30px;
    background: #0df053;
    color: #fff;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    z-index: 100;
    box-shadow: -1px 6px 14px 0px rgba(0,0,0,0.75);
    transition: .3s;
}

.btn_wsp:hover{
    background:#fff;
    color: #0df053;
    transform: translateY(-10px);
}



/*=======================MEDIA QUERIES=======================*/
@media (min-width: 320px){

    .grupo__usuario{
        margin: 0 auto;
    }

    .cod__usuario{
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .validation__container {
        margin: 80px 20px 20px 20px;
    }

    .form__title h2 {
        text-align: center;
    }

    .grupo__datos,
    .grupo__indetificacion,
    .grupo__patrocinador{
        margin: 2rem -3rem;
    }

    .data__container {
        display: flex;
        flex-direction: column;
        margin: 20px 30px;
        padding-bottom: 30px;
        text-align: center;
    }

    .container__separator{
        border-bottom: 1px solid #111;
    }

    .input__lenght{
        width: 14rem;
        margin: 5px auto;
        height: 32px;
        line-height: 32px;
        border-radius: 10px;
        border-width: 0;
    }

    .select__input-lenght{
        width: 100%;
        margin: 5px auto;
        height: 32px;
        line-height: 32px;
        border-radius: 10px;
        border-width: 0;
        padding-left: 10px;
    }


    .grupo__datos-natural{
        margin-left: 0;
        border-top: 1px solid #111;
    }

    .input__usuario{
        width: 10rem;
        padding-left: 10px;
    }

    .data__subcontainer .input__title{
        display: block;
    }
}

@media (min-width: 480px){

    .data__subcontainer{
        margin: 0 auto;
        text-align: center;
}

    .input__lenght{
        width: 20rem;
    }

}

@media (min-width: 720px){

    .grupo__datos,
    .grupo__indetificacion,
    .grupo__patrocinador{
        margin: 2rem -8rem;
    }

    .solicitante__container{
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }

    .data__container-indentificacion,
    .data__container-patrocinador{
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }

    .data__container-indentificacion-banco{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .input__lenght{
        width: 12rem;
    }
}

@media (min-width: 1080px){
    .grupo__datos,
    .grupo__indetificacion,
    .grupo__patrocinador{
        margin: 2rem -1rem;
    }
}
/*=============FOOTER STYLE=============*/
footer{
    display: flex;
    justify-content: center;
    align-items: flex-end;
    box-shadow: 0px 1px 10px 0px rgba(0,0,0,0.9);
}

.footer_div{
    position: relative;
    width: 100%;
    background: #fff;
    min-height: 100px;
    padding: 20px 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.footer_div .social_icon,
.footer_div .menu{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px 0;
    flex-wrap: wrap;
}

footer .footer_div h2{
    color: #111;
}

.footer_div .social_icon li,
.footer_div .menu li{
    list-style: none;
}

.footer_div .social_icon li i{
    font-size: 2.5em;
    color: #111;
    margin: 0 10px;
    display: inline-block;
    transition: .5s;
}

.footer_div .social_icon li i:hover{
    transform: translateY(-10px);
    color: #e12a4c;
}

.footer_div .menu li a{
    font-size: 1em;
    color:#111;
    margin: 0 10px;
    display: inline-block;
    transition: .3s;
    text-decoration: none;
    opacity: 0.75;
    line-height: 2.5em;
}


.footer_div .menu li a:hover{
    opacity: 1;
    transform: translateY(-10px);
    color: #e12a4c;
}

.footer_div .menu li a i{
    font-size: 2em;
    color: #111;
    margin: 0 10px;
    display: inline-block;
    transition: .3s;
}

.footer_div .menu li a i:hover{
    transform: translateY(-10px);
    color: #ff0157;
}

footer .footer_div p{
    color: #111;
    text-align: center;
    margin-top: 15px;
    margin-bottom: 10px;
    font-size: 15px;
}

footer .terminos{
    text-decoration: none;
    font-weight: bold;
    font-size: 14px;
    text-align: center;
}
